Testar
cURL
JS
PHP
Node
curl -X POST "https://acme.myguper.comhttps://your-server.example.com/your-webhook" \
-H "x-guper-authorization: 48c70a3d6bc1d15104abfaee80c6010f348713f5315bfd12028c2455667685a2" \
-H "Content-Type: application/json" \
-H "Authorization: <Authorization>" \
-H "X-API-Key: <X-API-Key>" \
-H "User-Agent: guper-docs/2.x" \
-d '{
"event": "message.send",
"timestamp": "2026-02-26T14:30:00Z",
"organization": "xpto",
"message": {
"id": "12345",
"sequence": "welcome",
"slug": "welcome_email",
"subject": "Olá Joao, bem-vindo!",
"body": "Seu cadastro foi confirmado. Aproveite seu cashback de R$ 50,00.",
"destination": {
"name": "Joao Silva",
"email": "joao@email.com",
"cellphone": "+5511999999999",
"countryCallingCode": "55"
}
},
"variables": {
"client": {
"name": "Joao Silva",
"email": "joao@email.com",
"cellphone": "11999999999"
},
"order": {
"id": 123,
"total": 5000,
"date": "2026-02-26 14:30:00"
},
"reward": {
"name": "Cashback",
"value": 5000
},
"organization": {
"name": "Loja XYZ",
"currency": "BRL",
"language": "pt_BR"
}
}
}'
const res = await fetch('https://acme.myguper.comhttps://your-server.example.com/your-webhook', {
method: 'POST',
headers: {
'x-guper-authorization': '48c70a3d6bc1d15104abfaee80c6010f348713f5315bfd12028c2455667685a2',
'Content-Type': 'application/json',
'Authorization': '<Authorization>',
'X-API-Key': '<X-API-Key>',
'User-Agent': 'guper-docs/2.x',
},
body: JSON.stringify({
"event": "message.send",
"timestamp": "2026-02-26T14:30:00Z",
"organization": "xpto",
"message": {
"id": "12345",
"sequence": "welcome",
"slug": "welcome_email",
"subject": "Olá Joao, bem-vindo!",
"body": "Seu cadastro foi confirmado. Aproveite seu cashback de R$ 50,00.",
"destination": {
"name": "Joao Silva",
"email": "joao@email.com",
"cellphone": "+5511999999999",
"countryCallingCode": "55"
}
},
"variables": {
"client": {
"name": "Joao Silva",
"email": "joao@email.com",
"cellphone": "11999999999"
},
"order": {
"id": 123,
"total": 5000,
"date": "2026-02-26 14:30:00"
},
"reward": {
"name": "Cashback",
"value": 5000
},
"organization": {
"name": "Loja XYZ",
"currency": "BRL",
"language": "pt_BR"
}
}
}),
});
const data = await res.json();
<?php
$ch = curl_init("https://acme.myguper.comhttps://your-server.example.com/your-webhook");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'x-guper-authorization: 48c70a3d6bc1d15104abfaee80c6010f348713f5315bfd12028c2455667685a2',
'Content-Type: application/json',
'Authorization: <Authorization>',
'X-API-Key: <X-API-Key>',
'User-Agent: guper-docs/2.x',
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, '{
"event": "message.send",
"timestamp": "2026-02-26T14:30:00Z",
"organization": "xpto",
"message": {
"id": "12345",
"sequence": "welcome",
"slug": "welcome_email",
"subject": "Olá Joao, bem-vindo!",
"body": "Seu cadastro foi confirmado. Aproveite seu cashback de R$ 50,00.",
"destination": {
"name": "Joao Silva",
"email": "joao@email.com",
"cellphone": "+5511999999999",
"countryCallingCode": "55"
}
},
"variables": {
"client": {
"name": "Joao Silva",
"email": "joao@email.com",
"cellphone": "11999999999"
},
"order": {
"id": 123,
"total": 5000,
"date": "2026-02-26 14:30:00"
},
"reward": {
"name": "Cashback",
"value": 5000
},
"organization": {
"name": "Loja XYZ",
"currency": "BRL",
"language": "pt_BR"
}
}
}');
$response = curl_exec($ch);
const axios = require('axios');
const res = await axios({
method: 'post',
url: 'https://acme.myguper.comhttps://your-server.example.com/your-webhook',
headers: {
'x-guper-authorization': '48c70a3d6bc1d15104abfaee80c6010f348713f5315bfd12028c2455667685a2',
'Content-Type': 'application/json',
'Authorization': '<Authorization>',
'X-API-Key': '<X-API-Key>',
'User-Agent': 'guper-docs/2.x',
},
data: {
"event": "message.send",
"timestamp": "2026-02-26T14:30:00Z",
"organization": "xpto",
"message": {
"id": "12345",
"sequence": "welcome",
"slug": "welcome_email",
"subject": "Olá Joao, bem-vindo!",
"body": "Seu cadastro foi confirmado. Aproveite seu cashback de R$ 50,00.",
"destination": {
"name": "Joao Silva",
"email": "joao@email.com",
"cellphone": "+5511999999999",
"countryCallingCode": "55"
}
},
"variables": {
"client": {
"name": "Joao Silva",
"email": "joao@email.com",
"cellphone": "11999999999"
},
"order": {
"id": 123,
"total": 5000,
"date": "2026-02-26 14:30:00"
},
"reward": {
"name": "Cashback",
"value": 5000
},
"organization": {
"name": "Loja XYZ",
"currency": "BRL",
"language": "pt_BR"
}
}
},
});